/// <reference types="node" />
import { IncomingMessage, ServerResponse } from "http";
export declare const Method: {
    GET: string;
    POST: string;
    PUT: string;
    DELETE: string;
};
export declare class Router {
    routes: {
        [key: string]: Route[];
    };
    constructor();
    registerRoutes(callback: (router: Router) => void): void;
    dispatch(req: IncomingMessage, res: ServerResponse): void;
    get(path: string, action: (req: IncomingMessage, res: ServerResponse) => void): void;
}
export declare class Route {
    method: string;
    path: string;
    action: (req: IncomingMessage, res: ServerResponse) => void;
    regex: RegExp;
    constructor(method: string, path: string, action: (req: IncomingMessage, res: ServerResponse) => void);
    isMatch(req: IncomingMessage): boolean;
    private buildRegex;
}
