"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.App = void 0;
var PathManager_1 = require("./PathManager");
var Router_1 = require("./Router");
var http = require('http');
var port = process.env.PORT;
var App = /** @class */ (function () {
    function App() {
        var _this = this;
        this.router = new Router_1.Router();
        this.pathManager = new PathManager_1.default(process.cwd());
        this.router.registerRoutes(function (router) {
            router.get('/', function (req, res) {
                res.end('<h1>Hello, world</h1>');
            });
            router.get('/dave', function (req, res) {
                res.end('<h1>Hello, DAVE</h1>');
            });
            router.get('/customers/{id}/orders', function (req, res) {
                res.end('<h1>Hello, customer orders</h1>');
            });
        });
        this.server = http.createServer(function (req, res) {
            res.statusCode = 200;
            res.setHeader('Content-Type', 'text/html');
            _this.router.dispatch(req, res);
        });
    }
    App.prototype.run = function () {
        this.server.listen(port, function () {
            console.log("Server running at port " + port);
        });
    };
    return App;
}());
exports.App = App;
